/ comp / gb.net / serialport
SerialPort (gb.net)
This class was designed to allow to communicate using a serial interface (usually RS-232 serial port). This class inherits from Stream class, so you can use standard streams methods to send and receive data, and to close the port.

Symbols
This class inherits Stream in gb.

This class is creatable.

Constants |
Bits1 Bits2 /comp/gb.net/serialport/bits5 /comp/gb.net/serialport/bits6 /comp/gb.net/serialport/bits7 /comp/gb.net/serialport/bits8 /comp/gb.net/serialport/both Even /comp/gb.net/serialport/hardware None Odd /comp/gb.net/serialport/software |

Properties |  | Methods |  | Events |
ByteOrder CTS DCD DSR DTR /comp/gb.net/serialport/databits EndOfFile EndOfLine /comp/gb.net/serialport/flowcontrol Handle Id Parity PortName RNG RTS Speed Status /comp/gb.net/serialport/stopbits |  | Close Open |  | CTSChange DCDChange DSRChange DTRChange RNGChange RTSChange Read |